#
# Copyright 2010-2013 Ning, Inc.
#
# Ning licenses this file to you under the Apache License, version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at:
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
# License for the specific language governing permissions and limitations
# under the License.
#

killbill.catalog.uri=file:///Users/stephanebrossier/Work/Src/Killbill/killbill/server/src/main/resources/NingCatalog.xml

# Use skeleton properties for server and configure killbill database
com.ning.jetty.jdbi.url=jdbc:mysql://127.0.0.1:3306/killbill
com.ning.jetty.jdbi.user=root
com.ning.jetty.jdbi.password=root

# Use the SpyCarAdvanced.xml catalog
killbill.catalog.uri=SpyCarAdvanced.xml

# Set default timezone to UTC
user.timezone=UTC

# For bundles that use antlr (string template)
ANTLR_USE_DIRECT_CLASS_LOADING=true

# To enable test endpoint and have Kill Bill run with a ClockMock
killbill.server.test.mode=true


killbill.billing.notificationq.main.sleep=100

killbill.billing.persistent.bus.main.sleep=100
killbill.billing.persistent.bus.main.nbThreads=1
killbill.billing.persistent.bus.main.claimed=1

killbill.billing.persistent.bus.external.sleep=100
killbill.billing.persistent.bus.external.nbThreads=1
killbill.billing.persistent.bus.external.claimed=1
killbill.billing.persistent.bus.external.tableName=bus_ext_events
killbill.billing.persistent.bus.external.historyTableName=bus_ext_events_history
